import { CookieOptions, SessionCookieData } from './types';
declare interface Cookie extends SessionCookieData {}
declare class Cookie {
  constructor(
    options: (CookieOptions | SessionCookieData) & {
      expires?: Date | string | null;
    }
  );
  resetExpires(): void;
  get cookieOptions(): {
    path: string;
    httpOnly: boolean;
    expires: Date | undefined;
    domain: string | undefined;
    sameSite: boolean | 'lax' | 'strict' | 'none' | undefined;
    secure: boolean;
  };
  serialize(name: string, val: string): string;
}
export default Cookie;
